Technical Requirements

Important Information regarding Jasperactive for Microsoft Office

Operating System

Jasperactive 1.0 and above requires Microsoft Windows 7 SP1, Microsoft Windows 8, Microsoft Windows 10 or newer (Windows 8 RT Version is not supported). And a working Internet connection, in order to be able to install the software and receive updates and upgrades.

Microsoft Office Suite

The versions of Microsoft Office we support are:

  • Microsoft Office 2016 Professional or Professional Plus (32 or 64-bit) – Semi-Annual channel
  • Microsoft Office 2019 Professional or Professional Plus (32 or 64-bit) – Semi-Annual channel
  • Office 365 up to version 1902 (32 or 64-bit) must be on the Semi-Annual update channel.

 

*Note: Jasperactive for Microsoft Office requires a complete, local installation of the Office software, and only one Office Suite version may be installed per machine.

For a full list of technical requirements, check out the full checklist